summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'sys-cluster/vzctl/files/vzctl-3.0.26.2-vzeventd.patch')
-rw-r--r--sys-cluster/vzctl/files/vzctl-3.0.26.2-vzeventd.patch34
1 files changed, 28 insertions, 6 deletions
diff --git a/sys-cluster/vzctl/files/vzctl-3.0.26.2-vzeventd.patch b/sys-cluster/vzctl/files/vzctl-3.0.26.2-vzeventd.patch
index 6c0b375..620c86d 100644
--- a/sys-cluster/vzctl/files/vzctl-3.0.26.2-vzeventd.patch
+++ b/sys-cluster/vzctl/files/vzctl-3.0.26.2-vzeventd.patch
@@ -1,8 +1,24 @@
+From f24b1603090c6d4af163d42eff620fcfaa7c6297 Mon Sep 17 00:00:00 2001
+From: Peter Volkov <pva@gentoo.org>
+Date: Fri, 1 Apr 2011 14:25:45 +0400
+Subject: [PATCH] vzeventd-gentoo: set reboot_event, solid kernel
+
+Allow it to work when modules are built in (MODULES_DISABLED=yes).
+Set /sys/module/vzevent/parameters/reboot_event=1 on service startup.
+Small clenups.
+
+Fixes Gentoo bugs:
+http://bugs.gentoo.org/show_bug.cgi?id=361453
+http://bugs.gentoo.org/show_bug.cgi?id=361457
+---
+ etc/init.d/vzeventd-gentoo.in | 40 ++++++++++++++++++++++++++++------------
+ 1 files changed, 28 insertions(+), 12 deletions(-)
+
diff --git a/etc/init.d/vzeventd-gentoo.in b/etc/init.d/vzeventd-gentoo.in
-index e8fe64e..c4b99a7 100644
+index e8fe64e..2c0da26 100644
--- a/etc/init.d/vzeventd-gentoo.in
+++ b/etc/init.d/vzeventd-gentoo.in
-@@ -6,25 +6,38 @@ depend() {
+@@ -6,25 +6,41 @@ depend() {
}
check_config() {
@@ -14,13 +30,16 @@ index e8fe64e..c4b99a7 100644
}
+load_module() {
-+ local rv=0
+ if [ "${MODULES_DISABLED}" != "yes" ]; then
++ local rv=0
+ ebegin "Loading vzevent module"
+ modprobe -r vzevent >/dev/null 2>&1
+ modprobe vzevent reboot_event=1 >/dev/null 2>&1
+ rv=$?
-+ eend ${rv}
++ if [ ${rv} -ne 0 ]; then
++ eend ${rv}
++ return ${rv}
++ fi
+ fi
+
+ local param=/sys/module/vzevent/parameters/reboot_event
@@ -30,7 +49,7 @@ index e8fe64e..c4b99a7 100644
+ ewarn "echo 1 > ${param}"
+ echo 1 > "${param}"
+ fi
-+ return ${rc}
++ return 0
+}
+
start() {
@@ -52,7 +71,7 @@ index e8fe64e..c4b99a7 100644
--pidfile /var/run/vzeventd.pid \
-- ${VZEVENTD_OPTS}
eend $?
-@@ -33,7 +46,7 @@ start() {
+@@ -33,7 +49,7 @@ start() {
stop() {
check_config || return
ebegin "Stopping vzeventd"
@@ -61,3 +80,6 @@ index e8fe64e..c4b99a7 100644
--pidfile /var/run/vzeventd.pid
eend $?
}
+--
+1.7.3.4
+